## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}
%global mver 3.0

%global  commit      538ffea25ca69d9f3ee17033534ba03cc27ba468
%global  shortcommit 538ffea
%global  commitdate  20200430
%global  forgeurl    https://github.com/OrangeShark/guile-commonmark
%forgemeta

Name:           guile-commonmark
Version:        0.1.2
Release:        %{autorelease}
Summary:        Implementation of CommonMark for Guile

# Code is under LGPL-3.0-or-later
# Documentation is under GFDL-1.3-or-later
License:        LGPL-3.0-or-later AND GFDL-1.3-or-later
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  guile30-devel
BuildRequires:  texinfo
BuildRequires:  pkgconfig

%description
guile-commonmark is a library for parsing CommonMark, a fully specified variant
of Markdown.


%prep
%forgeautosetup -p1
# Remove failing tests
sed -i '/tests\/blocks\/list-items.scm/d' Makefile.am
sed -i '/tests\/blocks\/lists.scm/d' Makefile.am
sed -i '/tests\/blocks\/setext-headings.scm/d' Makefile.am
sed -i '/tests\/inlines\/backslash-escape.scm/d' Makefile.am
sed -i '/tests\/inlines\/links.scm/d' Makefile.am
sed -i '/tests\/inlines\/entities.scm/d' Makefile.am
# Do not have a backslash with followed by an empty line
sed -i 's/tests\/inlines\/autolinks.scm                  \\/tests\/inlines\/autolinks.scm/g' Makefile.am

%build
./bootstrap
%configure
%make_build


%install
%make_install
DESTDIR=%{buildroot} make install-info
test -f %{buildroot}/%{_infodir}/dir && rm %{buildroot}/%{_infodir}/dir

%check
make check

%files
%license COPYING
%license COPYING.LESSER
%doc README.md
%doc NEWS
%{_infodir}/guile-commonmark.info*
%dir %{_datadir}/guile
%dir %{_datadir}/guile/site
%dir %{_datadir}/guile/site/%{mver}/
%{_datadir}/guile/site/%{mver}/commonmark.scm
%dir %{_datadir}/guile/site/%{mver}/commonmark
%{_datadir}/guile/site/%{mver}/commonmark/*.scm
%dir %{_libdir}/guile/%{mver}/site-ccache/commonmark/
%{_libdir}/guile/%{mver}/site-ccache/commonmark.go
%{_libdir}/guile/%{mver}/site-ccache/commonmark/*.go

%changelog
## START: Generated by rpmautospec
* Fri Jul 18 2025 Benson Muite <fed500@fedoraproject.org> - 0.1.2-1
- Initial import bz#2373135
## END: Generated by rpmautospec
